! @(#)getcoord.prg	18.1.1.1 (ES0-DMD) 09/03/02 17:26:24
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure getcoord.prg to convert frampe pixels to world coords
!                              and vice versa
! K. Banse	960124
!
! use as   @a getcoord name coord_string
! where    name = name of image frame
!          coord_string = string with frame pixels: @xpix,@ypix,..
!			  => world coords. are calculated and displayed
!                         or string with world coords: x,y,...
!			  => frame pixels are calculated and displayed
! 
!   world coords in dec. form are stored in OUTPUTD(1-3), if non-linear WCS
!   the RA, DEC wc in hr:min:sec are stored in OUTPUTD(4-9) as hr,min,sec,...
!   frame pixels are stored in OUTPUTD(10-12)
!   if image `name' is currently loaded into the display window, also the
!   corresponding screen coords are displayed and stored in OUTPUTI(1,...)
! 
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/param p1 ? ima "Enter image name:"
define/param p2 ?  c  "Enter coordinate pair in usual MIDAS syntax:"
!
write/keyw in_a {p1}
write/keyw inputc {p2}
write/keyw action/c/1/3 WCO
! 
run MID_EXE:idauxx.exe
