! @(#)tutlut.prg	18.1.1.1 (ES0-DMD) 09/03/02 19:27:57
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! procedure tutlut.prg to implement TUTORIAL/LUT
! K. Banse	910425, 920413, 990804
!
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
define/param p1 NOPLOT ? "Enter plotflag Plot/NoPlot/Auto: "
define/local option/c/1/6 "PLOT"
! 
if p1(1:3) .eq. "NOP" then
  write/keyw option/c/1/6 "NOPLOT"
endif
!
clear/itt		!avoid any crazy ITT on Display
! 
! make sure, we have an image loaded ...
@ testima sombrero {p1}
!
write/out "We show the effect of some standard LUTs:"
@ lutexa {OPTION}
! 

if ididev(18) .ne. 11 then
  write/out "Turn cursor on + move the joystick to overlay the current LUT with"
  write/out "a colour band. Turn the cursor off to exit from this command."
else
  write/out "Put focus on the Midas display window (e.g. put the mouse in it)."
  write/out "Use the arrow keys to modify the current LUT with a colour band"
  write/out "Use the number keys to change the speed"
  write/out "Press the mouse button to the right of the leftmost b. to exit"
endif

write/out modify/lut band red
modify/lut band red
write/out modify/lut band white
modify/lut band white
write/out
if ididev(18) .ne. 11 then
  write/out "Finally, we rotate the complete LUT via the joystick. "
  write/out "Set cursor on. To exit, switch cursor off."
else
  write/out "Finally, we rotate the complete LUT (again use the  arrow keys)"
endif
write/out modify/lut rotate all
write/out
if p1(1:4) .eq. "AUTO" THEN
  -delete testima.bdf
  -delete graph_wnd000.plt
endif
modify/lut rotate all
write/out "End of TUTORIAL/LUT"
